# NAME

git-annex drop - remove content of files from repository

# SYNOPSIS

git annex drop `[path ...]`

# DESCRIPTION

Drops the content of annexed files from this repository, when
possible.

git-annex will refuse to drop content if it cannot verify it is
safe to do so.

# OPTIONS

* `--from=remote`

  Rather than dropping the content of files in the local repository,
  this option can specify a remote from which the files'
  contents should be removed.

* `--auto`

  Rather than trying to drop all specified files, drop only files that
  are not preferred content of the repository.
  See [[git-annex-preferred-content]](1)

* `--force`

  Use this option with care! It bypasses safety checks, and forces
  git-annex to delete the content of the specified files, even from
  the last repository that is storing their content. Data loss can
  result from using this option.

* `--all` `-A`

  Rather than specifying a filename or path to drop, this option can be
  used to drop all available versions of all files.

  This is the default behavior when running git-annex drop in a bare repository.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting.

* `--branch=ref`

  Drop files in the specified branch or treeish.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting.

* `--unused`

  Drop files found by last run of git-annex unused.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting.

* `--key=keyname`

  Use this option to drop a specified key.

  Note that this bypasses checking the .gitattributes annex.numcopies
  setting.

* file matching options

  The [[git-annex-matching-options]](1)
  can be used to specify files to drop.

* `--jobs=N` `-JN`

  Runs multiple drop jobs in parallel. This is particularly useful
  when git-annex has to contact remotes to check if it can drop files.
  For example: `-J4`  

* `--batch`

  Enables batch mode, in which lines containing names of files to drop
  are read from stdin.

* `--json`

  Enable JSON output. This is intended to be parsed by programs that use
  git-annex. Each line of output is a JSON object.

* `--json-error-messages`

  Messages that would normally be output to standard error are included in
  the json instead.

# SEE ALSO

[[git-annex]](1)

[[git-annex-get]](1)

[[git-annex-move]](1)

[[git-annex-copy]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
